<form
  class="w-full top-8 bg-gray-100 rounded p-4 sticky"
  [formGroup]="contactForm"
  (ngSubmit)="onSubmit()"
>
  <h2 class="font-bold text-xl text-gray-800 block mb-4 max-w-screen-sm">
    Contacta con el vendedor
  </h2>
  <input
    type="text"
    autocomplete="name"
    name="name"
    id="name"
    required
    aria-label="Tu nombre"
    aria-required="true"
    class="form-input-full"
    placeholder="Tu nombre (obligatorio)"
    formControlName="name"
  />
  <span
    class="block -mt-4 mb-4 pl-2 text-red-600"
    *ngIf="name.invalid && (name.dirty || name.touched)"
    >Este campo es obligatorio</span
  >
  <input
    type="email"
    autocomplete="email"
    name="email"
    id="email"
    required
    aria-label="Tu e-mail"
    aria-required="true"
    class="form-input-full"
    placeholder="Tu e-mail (obligatorio)"
    formControlName="email"
  />
  <span
    class="block -mt-4 mb-4 pl-2 text-red-600"
    *ngIf="email.invalid && (email.dirty || email.touched)"
    >Este campo debe contener una dirección de e-mail real</span
  >
  <input
    type="tel"
    autocomplete="mobile"
    name="tel"
    id="tel"
    required
    aria-label="Teléfono de contacto"
    aria-required="true"
    class="form-input-full"
    placeholder="Tu teléfono"
    formControlName="tel"
  />

  <select
    name="reason"
    id="reason"
    class="p-2 text-lg mb-4 border-2 rounded cursor-pointer w-full"
    required
    aria-label="Motivo de contacto"
    aria-required="true"
    formControlName="reason"
  >
    <option value disabled selected hidden>Motivo de contacto</option>
    <option value="Concretar una visita">Concretar una visita</option>
    <option value="Solicitar ubicación exacta">
      Solicitar ubicación exacta
    </option>
    <option value="Solicitar más fotos">Solicitar más fotos</option>
    <option value="Solicitar más información">Solicitar más información</option>
    <option value="Otro">Otro</option>
  </select>
  <span
    class="block -mt-4 mb-4 pl-2 text-red-600"
    *ngIf="reason.invalid && (reason.dirty || reason.touched)"
    >Debe seleccionar un motivo de contacto</span
  >
  <label class="block px-1 text-odb-800" for="comments"
    >Comentarios (opcional)</label
  >
  <textarea
    name="comments"
    id="comments"
    rows="4"
    class="w-full rounded"
    formControlName="comments"
  ></textarea>
  <div class="mb-4">
    <input
      type="checkbox"
      id="contactAcceptance"
      formControlName="acceptance"
      class="inline mr-2"
      required
      aria-required="true"
    /><label for="contactAcceptance" class="text-sm leading-4"
      >Acepto la
      <a class="text-blue-500" href="/politica-de-privacidad">
        Política de Privacidad y Protección de Datos
      </a></label
    >
  </div>
  <re-captcha
    [hidden]="captcha"
    (resolved)="resolved($event)"
    siteKey="6LebpNohAAAAAH6P3DtLx8lQ_Bl9aCdXtugpqxiB"
  ></re-captcha>
  <button
    type="submit"
    [ngClass]="{
      'px-4 py-2.5 w-full bg-odb-400 text-white block font-medium rounded cursor-pointer transition-all hover:text-white hover:bg-odb-800 border-2 border-odb-400': true,
      'opacity-50 pointer-events-none': contactForm.invalid,
      hidden: !captcha
    }"
  >
    Contactar
  </button>
  <div
    class="w-full absolute top-0 left-0 h-full bg-odb-50 flex items-center justify-center"
    *ngIf="sending"
  >
    <span
      class="w-10 h-10 bg-transparent border-4 border-t-odb-400 border-r-odb-400 rounded-full animate-spin transition-all"
    ></span>
  </div>
  <div
    class="w-full absolute top-0 left-0 h-full bg-trans-white-90 flex flex-col items-center justify-center border-2 border-green-600 rounded-xl"
    *ngIf="sent"
  >
    <i class="bi bi-check-circle text-green-600 text-8xl"></i>
    <h4 class="text-2xl mt-4 text-odb-500">Mensaje enviado</h4>
  </div>
</form>
